Bug 759558 - Yum fails when trying to install the rpm for rpmforge
Yum fails when trying to install the rpm for rpmforge
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.6
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 11:59 EST by Brad Knowles
Modified: 2014-01-21 01:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 10:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Knowles 2011-12-02 11:59:37 EST
Description of problem:

Trying to install the rpm that includes all the details for how to use rpmforge, yum thinks that it is successful but in fact there are a couple of errors and there are instructions at the end to report the error here.

Version-Release number of selected component (if applicable):

CentOS 5.6, yum version 3.2.22

How reproducible:

Every time.

Steps to Reproduce:

# yum install rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm 
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.raystedman.net
 * epel: mirror.utexas.edu
 * extras: mirror.steadfast.net
 * updates: mirror.team-cymru.org
ihiji                                                                                                                                                |  951 B     00:00     
Setting up Install Process
Examining rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm: rpmforge-release-0.5.2-2.el6.rf.x86_64
Marking rpmforge-release-0.5.2-2.el6.rf.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package rpmforge-release.x86_64 0:0.5.2-2.el6.rf set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================================
 Package                               Arch                        Version                               Repository                                                    Size
============================================================================================================================================================================
Installing:
 rpmforge-release                      x86_64                      0.5.2-2.el6.rf                        /rpmforge-release-0.5.2-2.el6.rf.x86_64                       13 k

Transaction Summary
============================================================================================================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total size: 13 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(FileDigests) is needed by rpmforge-release-0.5.2-2.el6.rf.x86_64
rpmlib(PayloadIsXz) is needed by rpmforge-release-0.5.2-2.el6.rf.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])
  
Actual results:

Failure to install rpm that pulls down the bootstrap information for using the rpmforge repo.

Expected results:

Proper installation of the rpm that pulls down the bootstrap information for using the rpmforge repo.

Additional info:

Note that Dag's key has already been imported into rpm.

Also note that this bug is preventing me from installing rsyslog 5.8 from source.  The latest version of rsyslog I can find via rpm for CentOS 5.6 is rsyslog 3.x, and we need something much more current.  But I'm stuck on trying to get gnutls-bin installed so that I can build and install rsyslog 5.8, and I can't find any version of gnutls-bin anywhere on any of the main CentOS or EPEL repos.  So, I need either RPMForge or RPMFusion to get that, and of the two I trust RPMForge much more than I do RPMFusion.
Comment 1 Zdeněk Pavlas 2013-04-04 10:29:44 EDT
The package you are trying to install requires a newer rpm that handles xz-compressed payloads.

Note You need to log in before you can comment on or make changes to this bug.